Bug 973197 - Account for case when BIND_KRB_* is used in openshift-origin-dns-nsupdate.conf
Account for case when BIND_KRB_* is used in openshift-origin-dns-nsupdate.conf
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Kubernetes (Show other bugs)
1.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 08:56 EDT by Brenton Leanhardt
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version: openshift-origin-broker-util-1.9.7-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:46:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brenton Leanhardt 2013-06-11 08:56:02 EDT
Description of problem:
If Kerberos authentication is used in 
openshift-origin-dns-nsupdate.conf oo-accept-broker will fail.  https://github.com/openshift/origin-server/commit/ec21097394297285b2a356bf58f32a9761b3c86e is needed from upstream.
Comment 5 Johnny Liu 2013-06-27 07:00:21 EDT
Verified this bug with openshift-origin-broker-util-1.9.7-1.2.el6op.noarch, and PASS.

# cat /etc/openshift/plugins.d/openshift-origin-dns-nsupdate.conf
BIND_SERVER="192.168.59.168"
BIND_PORT=53
BIND_ZONE="osetestv2.com"
BIND_KRB_PRINCIPAL="DNS/ns1.osetestv2.com"
BIND_KRB_KEYTAB="/var/named/dns.keytab"

[root@broker ~]# oo-accept-broker -v
<--snip-->
INFO: checking dynamic dns plugin
INFO: dynamic dns plugin = OpenShift::NsupdatePlugin
INFO: checking bind dns plugin configuration
INFO: DNS Server: 192.168.59.168
INFO: DNS Port: 53
INFO: DNS Zone: osetestv2.com
INFO: DNS Domain Suffix: osetestv2.com
INFO: DNS Update Auth: krb
INFO: DNS Kerberos Keytab: /var/named/dns.keytab
INFO: DNS Kerberos Principal: DNS/ns1.osetestv2.com
INFO: adding txt record named testrecord.osetestv2.com to server 192.168.59.168: krb0
INFO: txt record successfully added
INFO: deleteing txt record named testrecord.osetestv2.com to server 192.168.59.168: krb0
INFO: txt record successfully deleted
INFO: checking messaging configuration
INFO: messaging plugin = OpenShift::MCollectiveApplicationContainerProxy
PASS
Comment 6 Luke Meyer 2013-06-28 11:46:41 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.